Package Details: mingw-w64-freetype2 2.11.0-1

Git Clone URL: https://aur.archlinux.org/mingw-w64-freetype2.git (read-only, click to copy)
Package Base: mingw-w64-freetype2
Description: Font rasterization library (mingw-w64)
Upstream URL: https://www.freetype.org/
Licenses: GPL
Conflicts: mingw-w64-freetype, mingw-w64-freetype2-bootstrap
Provides: mingw-w64-freetype, mingw-w64-freetype2-bootstrap
Replaces: mingw-w64-freetype, mingw-w64-freetype2-bootstrap
Submitter: vorot93
Maintainer: Martchus
Last Packager: Martchus
Votes: 13
Popularity: 0.062012
First Submitted: 2015-07-08 13:52
Last Updated: 2021-08-27 09:23

Pinned Comments

Martchus commented on 2016-05-18 21:58

All my packages are managed at GitHub where you can also contribute directly: https://github.com/Martchus/PKGBUILDs
There also exist a binary repository: https://martchus.no-ip.biz/repo/arch/ownstuff

NOTE: For bootstrapping mingw-w64-freetype2-bootstrap can be built first.

Latest Comments

« First ‹ Previous 1 2

Martchus commented on 2015-11-26 12:47

I've also noticed that there is a circular dep. The regular packages also have that circular dep. Additionally I've noticed that the regular harfbuzz has freetype2 only as make dependency.

What do you mean by "make a bootstrap"?

Schala commented on 2015-11-26 08:51

Looks like we have a circular dep now. Anyone care to make a bootstrap of this?

Martchus commented on 2015-11-01 19:39

The dependencies mingw-w64-{harfbuzz,bzip2} are missing.

The regular freetype2 package also depends on these. Additionally I've got the following errors when building mingw-w64-fontconfig:
"configure: error: Package requirements (freetype2) were not met:
Package 'bzip2', required by 'freetype2', not found"
"configure: error: Package requirements (freetype2) were not met:
Package 'harfbuzz', required by 'freetype2', not found"

Schala commented on 2015-10-05 02:10

Yeah, I'm getting the same thing. yan's solution fixes this.

yan12125 commented on 2015-08-16 13:05

Please add conflicts=(mingw-w64-freetype) as well, or file conflicting occurs:

error: failed to commit transaction (conflicting files)